import React from 'react'
import { mount } from 'enzyme'
import HeaderMenu from '.'
import { HeaderLogoWrapper } from './Wrappers'

describe('components/Menus/HeaderMenu', () => {
  let renderedComponent

  beforeEach(() => {
    renderedComponent = mount(<HeaderMenu />)
  })

  it('should render a LogoWrapper', () => {
    expect(renderedComponent.find(HeaderLogoWrapper)).toHaveLength(1)
  })

  it('should match snapshot', () => {
    expect(renderedComponent).toMatchSnapshot()
  })
})
